<?php

  // Shortcode zum Editor ergaenzen
  function ca_add_shortcode_button() {
    if (!current_user_can('edit_posts') && !current_user_can('edit_pages')) return;
    if (get_user_option('rich_editing') == 'true') {
      add_filter('mce_buttons', 'ca_register_shortcode_button');
      add_filter('mce_external_plugins', 'ca_add_shortcode_tinymce_plugin');
    }
    // Admin style
    if (is_admin()) {
      wp_enqueue_style("ca-shortcodes-admin", plugin_dir_url( __FILE__ ) ."css/shortcodes-admin.css");
    }
  }
  add_action('init', 'ca_add_shortcode_button');
  // Register Button
  function ca_register_shortcode_button($buttons) {
    array_push($buttons, "|", "ca_shortcodes_button");
    return $buttons;
  }
  // Shortcode BTN to Tiny MCE
  function ca_add_shortcode_tinymce_plugin($plugin_array) {
    $plugin_array['ca_shortcodes_button'] = plugin_dir_url( __FILE__ ) .'js/editor_plugin.js';
    return $plugin_array;
  }


  // Klasse erstellt Seite
  class caHelpPage {
    // starten
    public function __construct() {
      // Seite laden
      add_action('admin_menu', array($this, 'ca_add_plugin_page'));
    }
    // Menu setzen
    public function ca_add_plugin_page() {
      add_menu_page(
        'CalendarApp Hilfe',
        'CalendarApp',
        'administrator',
        'calendarapp-calendar-help',
        array($this, 'ca_calendar_admin_help_page'),
        plugins_url('/images/icon.png', __FILE__),
        59
      );
    }
    // Optionen setzen
    public function ca_calendar_admin_help_page() {
      // Meldung wenn senden
      if (isset($_POST["submit"])) {
        // Alle Daten testen
        $ca_name = $_POST['ca_name'];
        // Mail testen
        $ca_mail = $_POST['ca_mail'];
        if (filter_var($ca_mail, FILTER_VALIDATE_EMAIL) == false) {
          $error['ca_mail'] = "ca_mail";
        }
        // Text testen
        $ca_txt = $_POST['ca_txt'];
        if (!isset($ca_txt) || $ca_txt == "") {
          $error['ca_txt'] = "ca_txt";
        }
        // Wenn kein Fehler Mail senden
        if (!isset($error)) {
          $to = "info@calendarapp.de";
          $subject = "Anfrage via Wordpress Plugin";
          $body = '<b>Name:</b> '. $ca_name .'<br /><b>Mail:</b> '. $ca_mail .'<br /><b>Domain:</b> '. CA_SHORTCODES_URL .'<br /><b>Nachricht:</b> '. $ca_txt;
          $headers = array("Content-Type: text/html; charset=UTF-8");
          if (!wp_mail($to, $subject, $body, $headers)) {
            echo '<div id="message" class="error"><p>Ups, deine Nachricht kann nicht versand werden. Probiere es sp&auml;ter noch einmal oder nimm direkt Kontakt &uuml;ber <a href="http://calendarapp.de" target="_blank">http://calendarapp.de</a> mit uns auf.</p></div>';
          } else {
            echo '<div id="message" class="updated"><p>Deine Anfrage wurde erfolgreich versendet</p></div>';
          }
        } else {
          echo '<div id="message" class="error"><p>Bitte pr&uuml;fe die rot markierten Felder. Deine E-Mailadresse und eine Nachricht sind Pflichtfelder</p></div>';
        }

      // CSS speichern
      } elseif (isset($_POST["submit_css"])) {
        // Keine Fehlerpruefung
        $ca_css = $_POST['ca_css'];
        // Wenn kein Fehler, speichern
        if (!isset($error)) {
          // Speichern
          update_option("ca_app_option_css", $ca_css);
          // Meldung
          echo '<div id="message" class="updated"><p>Dein individuelles CSS wurde erfolgreich gespeichert</p></div>';
          // Daten aufbereiten
          $ca_css = stripslashes($ca_css);
        } else {
          echo '<div id="message" class="error"><p>Bitte pr&uuml;fe die rot markierten Felder. Die markierten Felder sind Pflichtfelder</p></div>';
        }
      // Start
      } else {
        // Default Daten
        $ca_mail = get_option('admin_email');
        $ca_name = "";
        $ca_txt = "";
        $ca_css = stripslashes(get_option("ca_app_option_css"));
      }
      // Ausgabe
      echo '
        <div class="wrap">
          <h2>CalendarApp.de Hilfe</h2>
          <div class="ca_half">
            <h4>Einen Kalender einbinden</h4>
            Um einen Kalender von <a href="https://app.calendarapp.de" target="_blank">https://app.calendarapp.de</a> in deine Wordpress Seite einzubinden, brauchst du nur im Editor auf das CalendarApp Symbol klicken. Im Untermen&uuml; klickst du auf "CalendarApp Kalendar". Damit wird ein Shortcode wie dieser<div style="widht:100%;margin: 5px 0px;"><i>[calendarapp plugin="calendar" id="-KALENDER-ID-EINTRAGEN-" lang="DE"]</i></div>in den Textbereich eingef&uuml;gt, in dem du nur noch -KALENDER-ID-EINTRAGEN- gegen deine Kalender ID tauschen musst. &Uuml;ber das Attribut "lang" kannst du die Sprache des Kalender einstellen (sofern im CalendarApp Account unter <a href="https://app.calendarapp.de" target="_blank">https://app.calendarapp.de</a> freigeschalten).<br /><br />Die gesamten Einstellungen f&uuml;r den Kalender erledigst du in deinem CalendarApp Account.
          </div>
          <div class="ca_half">
            <div class="ca_slider">
              <ul>
                <li><img src="'. plugins_url('/images/tinymce.jpg', __FILE__) .'" alt="Das CalendarApp Symbol" border="0px" /></li>
                <li><img src="'. plugins_url('/images/calendarid.jpg', __FILE__) .'" alt="Die Kalender ID" border="0px" /></li>
                <li><img src="'. plugins_url('/images/calendarlang.jpg', __FILE__) .'" alt="Die Sprache des Kalender" border="0px" /></li>
              </ul>
            </div>
          </div>
          <div style="width:100%;clear:both;float:left;padding-top:20px;margin-top:30px;border-top:1px #CFCFCF solid;">
            <div class="ca_half">
              <h3>Individuelles CSS</h3>
              <div class="ca_iconbox">
                <h5>Individualisiere deinen Kalender</h5>
                <p>Wenn du deinen Kalender mit CSS individuell ver&auml;ndern m&ouml;chtest, kannst du hier CSS-Code eintragen. Du kannst mit CSS alle Elemente des Kalenders anpassen. Beim Stundenkalender kannst du zum Beispiel auch eine Mittagspause oder verschiedene Tageszeiten einstellen. Ein Blick in unseren <a target="_blank" href="https://calendarapp.de/support/">Hilfebereich</a> kann dabei nicht schaden.</p>
              </div>
            </div>
            <div class="ca_half">
              <form method="post">
                <label for="ca_css">
                  Individuelles CSS:
                  <textarea placeholder="#zhcal-root {background-color: #000;}" '; if (isset($error) && is_array($error) && in_array("ca_css", $error)) {echo 'class="error"';} echo ' id="ca_css" name="ca_css">'. $ca_css .'</textarea>
                </label>
                <p class="submit">
                  <input type="submit" value="CSS speichern" class="button button-primary" id="submit_css" name="submit_css">
                </p>
              </form>
            </div>
          </div>
          <form method="post" style="clear:both;float:left;padding-top:20px;margin-top:10px;border-top:1px #CFCFCF solid;">
            <div class="ca_half">
              <h3>Wobei wir dir sonst noch helfen k&ouml;nnen</h3>
              <div class="ca_iconbox">
                <img src="'. plugins_url('/images/icon_themes.png', __FILE__) .'" alt="Wordpress Themes" border="0" />
                <h5>Wordpress Themes</h5>
                <p>Ob du dein eigenes Theme entwickelst und nicht weiter kommst, ein fertiges Theme einrichten m&ouml;chtest und dabei Probleme hast, oder ob du ein individuelles Theme professionell erstellt haben willst. Wir helfen dir bei allen Fragen und Themen. Auch zu Responsive Design!</p>
              </div>
              <div class="ca_iconbox">
                <img src="'. plugins_url('/images/icon_plugins.png', __FILE__) .'" alt="Wordpress Plugins" border="0" />
                <h5>Wordpress Plugins</h5>
                <p>Du willst ein Plugin installieren, aber das klappt nicht? Du wei&szlig;t nicht so recht wie du Wordpress mit Plugins erweitern kannst? Du brauchst eine individuelle L&ouml;sung f&uuml;r eine bestimmte Funktion? Dann entwickeln wir eigene Plugins f&uuml;r dich, genau nach deinen W&uuml;nschen.</p>
              </div>
              <div class="ca_iconbox">
                <img src="'. plugins_url('/images/icon_seo.png', __FILE__) .'" alt="Wordpress SEO" border="0" />
                <h5>SEO (Suchmaschinen-Optimerung)</h5>
                <p>Du hast eine tolle Seite und ein h&uuml;bsches Theme, aber irgendwie kommen keine Besucher auf deine Seite? Dann solltest du vielleicht SEO betreiben. Wie das geht und worauf du achten solltest, dabei unterst&uuml;tzen wir dich! On-Page und Off-Page, wie es f&uuml;r deine Webseite am besten passt.</p>
              </div>
            </div>
            <div class="ca_half">
              <h3>Fragen / Kontakt / Feedback / Idee einreichen</h3>
              <label for="ca_name">
                Dein Name:
                <input '; if (isset($error) && is_array($error) && in_array("ca_name", $error)) {echo 'class="error"';} echo ' id="ca_name" type="text" value="'. $ca_name .'" name="ca_name" placeholder="Max Mustermann" />
              </label>
              <label for="ca_mail">
                Deine Kontaktadresse<span>*</span>:
                <input '; if (isset($error) && is_array($error) && in_array("ca_mail", $error)) {echo 'class="error"';} echo ' id="ca_mail" type="text" value="'. $ca_mail .'" name="ca_mail" placeholder="ihre@adresse.de" />
              </label>
              <label for="ca_txt">
                Deine Nachricht oder Anfrage<span>*</span>:
                <textarea '; if (isset($error) && is_array($error) && in_array("ca_txt", $error)) {echo 'class="error"';} echo ' id="ca_txt" name="ca_txt">'. $ca_txt .'</textarea>
              </label>
              <p class="submit">
                <input type="submit" value="Anfrage senden" class="button button-primary" id="submit" name="submit">
              </p>
            </div>
          </form>
        </div>
      ';
    }
  }
  // Admin Help Page laden
  $ca_settings_page = new caHelpPage();

?>